Subject: bug#74561: [PATCH] Allow limiting the size of *Completions*

From: Juri Linkov <[email-masked]>
Date: Sat, 15 Feb 2025 19:45:06 +0200

>> In the process, I realized that this optimization doesn't help
>> completions-format=vertical without a lot of effort, since that fills
>> the entire first column before continuing to the second column.
>
> FWIW, maybe we should change this behavior so instead of filling
> column-by-column we fill line-by-line.

I think this is exactly how we should improve completion--insert-vertical.
Instead of filling the first column before continuing to the second column
the algorithm could be changed to:

1. partition the list of completions (e.g. by `seq-partition`)
   into N groups corresponding to columns;
2. then take the first elements from each sublist
   while laying them out line-by-line.